Skip to main content
GET
Get Task By Id

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

task_id
string<uuid>
required
workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Response

Successful Response

Task response with agent information for global task listing.

agent_id
string<uuid>
required
created_at
string<date-time>
required
description
string
required
id
string<uuid>
required
parameters
Parameters · object
required
status
string
required
agent_name
string | null
created_by
string | null
end_user_id
string | null
error
string | null
escalation_id
string | null
escalation_tool_name
string | null
execution_id
string | null
failure_reason
string | null
metadata
Metadata · object | null
provenance
TaskProvenance · object

Why a task exists: who or what started it, and the event that caused it.

result
scheduled_at
string<date-time> | null
total_cost
number | null
total_tokens
integer | null